﻿using UnityEngine;
using UnityEngine.EventSystems;

/// <summary>
/// 3Dのタッチを感知。
/// </summary>
public class TouchRotate : MonoBehaviour, IPointerClickHandler {
	/// <summary>
	/// OnPointerClick.
	/// </summary>
	public void OnPointerClick(PointerEventData data) {
		this.Rotate();
	}

	/// <summary>
	/// 左回転。
	/// </summary>
	public void Rotate() {
		this.gameObject.transform.Rotate(new Vector3(0f, 15f, 0f));
	}
}